"Software Update Required"

Product Manager
Viewing 15 replies - 16 through 30 (of 76 total)
  • Olof
    Moderator

    Not sure if this is the same issue described above…

    Ran Product Manager, and it tells me I need to update. However, I get a permission error as shown in the attached image.

    Not the same issue, no. This means that files can’t be created in your download folder. Fix the permissions there or change the download folder in Product Manager preferences (and use “Move Downloads” to move incomplete downloads to the new location).

    Olof Hermansson - Toontrack
    Coder

    1

    Thanked by: beanland
    Josh
    Participant

    I have SD3 installed and I am also having this issue installing my EZdrummer add ons. I have several EZdrummer packs that I can’t instal that say software update required. Either fix this, or give me cakewalked my 600$ in just the expansion packs alone! I was told that I do not need EZdrummer if I had SD3 and Sd3 runs the expansions. Mac OSX 10.14.4

    Paul,

    Please open Applications > Utilities > Terminal and paste the following commands there (the entire block of text at once):

    /usr/libexec/PlistBuddy -c "Delete :SDIVersion" /Users/Shared/Toontrack/Preferences/com.toontrack.superior.superior2.plist
    /usr/libexec/PlistBuddy -c "Add :SDIVersion string 2.5" /Users/Shared/Toontrack/Preferences/com.toontrack.superior.superior2.plist
    echo

    That should fix it. The SD 3.1.3 installer was supposed to do this but doesn’t because of a bug.

    Note to others: These commands should only be used if you have installed Superior Drummer 3 on your Mac.

    This worked for me, thank you!

    tataregis
    Participant

    web shop midi affiche sofware update required  je ne comprend pas tou fonctionnait bien quel est le probleme  merci


    Operating system: Windows 10
    Hasnain
    Participant

    so, whats this company doing about update? ive bought 6 midi piano none of them installing…. what should I do…


    Operating system: macOS Catalina (10.15)
    Scott
    Moderator

    so, whats this company doing about update? ive bought 6 midi piano none of them installing…. what should I do…

    Operating system: macOS Catalina (10.15)

    Ezkeys MIDI packs require an EZkeys Sound Instrument to work with. What EZkeys instrument do you have installed?

    Scott Sibley - Toontrack
    Technical Advisor

    Harry Young
    Participant

    Hello,

     

    I just purchased 4 expansion packs today. Two of them loaded with no problem and are functioning in my DAW but the other two says “software update required.” Where do you go to do that? I’ve gone rounds and rounds in circle on this and keeps taking me back to this page. Please advise.

     

    Thank you,

    Harry


    Operating system: macOS High Sierra (10.13)
    Scott
    Moderator

    Hello,

     

    I just purchased 4 expansion packs today. Two of them loaded with no problem and are functioning in my DAW but the other two says “software update required.” Where do you go to do that? I’ve gone rounds and rounds in circle on this and keeps taking me back to this page. Please advise.

     

    Thank you,

    Harry

    Operating system: macOS High Sierra (10.13)

    I see that you’ve downloaded from the website instead of through the Toontrack Product Manager. Please download the Product Manager and use it for checking for updates.

    https://www.toontrack.com/product-manager/

    Scott Sibley - Toontrack
    Technical Advisor

    pablo rodriguez
    Participant

    Hi, I have the same issue, I bought a bundle pack almost 4 years and everything worked fine but when I try to install a ezdrummer again I have the software update is required issue


    Operating system: macOS Catalina (10.15)
    Scott
    Moderator

    Hi, I have the same issue, I bought a bundle pack almost 4 years and everything worked fine but when I try to install a ezdrummer again I have the software update is required issue

    Operating system: macOS Catalina (10.15)

    EZXs require either EZD2 or S3. I don’t see either registered to your account. That is why you are getting the error.

    Scott Sibley - Toontrack
    Technical Advisor

    pablo rodriguez
    Participant

    Thanks Scott, I purchased a bundle pack with the order #1273347 was placed on July 8, 2017 and is currently Completed. And I have installed in my old PC and is running well, but I need to install in a second PC and I can’t, how can I see my serial number because I can’t see on Product Manager, could you support me searching my license in my old PC?


    Operating system: macOS Catalina (10.15)
    Scott
    Moderator

    Thanks Scott, I purchased a bundle pack with the order #1273347 was placed on July 8, 2017 and is currently Completed. And I have installed in my old PC and is running well, but I need to install in a second PC and I can’t, how can I see my serial number because I can’t see on Product Manager, could you support me searching my license in my old PC?

    Operating system: macOS Catalina (10.15)

    That order number shows only one product, Metal Machine EZX and it is registered to your account.

    Do you have more than one account that you have EZD2 registered to?

    Scott Sibley - Toontrack
    Technical Advisor

    pablo rodriguez
    Participant

    No, I have just one account, when I install from PM I don’t had any issue with my EZ2!


    Operating system: macOS Catalina (10.15)
    Scott
    Moderator

    No, I have just one account, when I install from PM I don’t had any issue with my EZ2!

    Operating system: macOS Catalina (10.15)

    Like I said, you don’t have EZD2 registered to your account.

    You have EZmix2 but you are asking about the Metal Machine EZX which is an expansion pack for EZD2 and not EZmix2.

    Scott Sibley - Toontrack
    Technical Advisor

    pablo rodriguez
    Participant

    I understand, I purchased EZD2 in a Bundle pack with EZx Metal Machine, on July 8 2017, could you validate yours offers enabled at this date and validate my order, because I have running well my EZD2 with EZx Metal Machine in my old PC and thanks for your support and comprehension.


    Operating system: macOS Catalina (10.15)
    Scott
    Moderator

    I understand, I purchased EZD2 in a Bundle pack with EZx Metal Machine, on July 8 2017, could you validate yours offers enabled at this date and validate my order, because I have running well my EZD2 with EZx Metal Machine in my old PC and thanks for your support and comprehension.

    Operating system: macOS Catalina (10.15)

    You’ll have to contact Toontrack directly via the Contact Support button in the FAQ below. I see your invoice from July 8 2017 but the only product on the invoice is the Metal Machine EZX. If you have an invoice showing EZD2 as well as Metal Machine was purchased, please attach it to your support ticket when you contact them.

    https://www.toontrack.com/faq/how-do-i-contact-support/

    Scott Sibley - Toontrack
    Technical Advisor

Viewing 15 replies - 16 through 30 (of 76 total)

Please log in to read and reply to this topic.

×